import { FunnelSliceEventArgs as FunnelSliceEventArgs_internal } from "./FunnelSliceEventArgs";
import { fromRect, toRect } from "igniteui-angular-core";
/**
 * Information about the clicked slice.
*/
var IgxFunnelSliceEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxFunnelSliceEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    IgxFunnelSliceEventArgs.prototype.createImplementation = function () {
        return new FunnelSliceEventArgs_internal();
    };
    Object.defineProperty(IgxFunnelSliceEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxFunnelSliceEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxFunnelSliceEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(IgxFunnelSliceEventArgs.prototype, "index", {
        /**
         * The index of the slice.
        */
        get: function () {
            return this.i.index;
        },
        set: function (v) {
            this.i.index = +v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgxFunnelSliceEventArgs.prototype, "bounds", {
        /**
         * The bounds of the slice.
        */
        get: function () {
            return fromRect(this.i.bounds);
        },
        set: function (v) {
            this.i.bounds = toRect(v);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgxFunnelSliceEventArgs.prototype, "item", {
        /**
         * The data item for the clicked slice.
        */
        get: function () {
            return this.i.item;
        },
        set: function (v) {
            this.i.item = v;
        },
        enumerable: false,
        configurable: true
    });
    return IgxFunnelSliceEventArgs;
}());
export { IgxFunnelSliceEventArgs };
